Skip to content

GreenLake for Reporting (v1)

The GreenLake for Reporting service provides a collection of RESTful APIs for generating reports, retrieving supported columns and filters, monitoring asynchronous operations, and querying the status of reports.

Download OpenAPI description
Overview
License
Languages
Servers
https://global.api.greenlake.hpe.com/
Mock server
https://developer.greenlake.hpe.com/_mock/docs/greenlake/services/reporting/public/openapi/reporting-nbapi-latest/v1/report-mgmt/

Report Status

Operations

Report exports

Operations

Async operations

Operations

Get async operations belonging to a workspace

Request

Retrieves the async-operation status of all report generation jobs for the caller's workspace, in the same per-item shape the single-item GET /reporting/v1/async-operations/{id} endpoint returns. Excludes scheduled-report jobs.

Security
BearerAuth
Query
limitinteger[ 1 .. 100 ]

The maximum number of async operations to return.

Default 10
Example: limit=10
offsetinteger>= 0

Zero-based resource offset to start the response from.

Default 0
curl -i -X GET \
  https://global.api.greenlake.hpe.com/reporting/v1/async-operations \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Successful response

Bodyapplication/json
itemsArray of objects(asyncOperationListItem)required
items[].​idstring(uuid)required

The primary identifier for the resource.

items[].​typestringrequired

The type of the resource.

items[].​statestringrequired

The state of the operation.

items[].​createdAtstring(date-time)required

The date and time the operation was created.

items[].​updatedAtstring(date-time)required

The date and time the operation was last updated.

items[].​generationintegerrequired

The revision number of the operation, incremented on each update.

items[].​endedAtstring or null(date-time)required

The date and time the operation completed. null while the operation has not yet reached the report-delivery stage.

items[].​logMessagesArray of objectsrequired

List of progress update objects. This array can be empty.

items[].​logMessages[].​timestampstring(date-time)

The date and time the log message was created.

items[].​logMessages[].​messagestring

The log message describing the progress update.

items[].​progressPercentinteger(int64)required

Percent progress of the operation as an integer value of 0 to 100.

items[].​sourceResourceUristringrequired

The URI reference to the resource or resource collection that initiated the operation

items[].​resultArray of objects

List of references to resources (other than the source resource) which were created, updated, or deleted during the operation.

items[].​errorobject
countintegerrequired

Number of async operations returned in this page.

totalintegerrequired

Total number of async operations matching the query.

offsetintegerrequired

Zero-based resource offset used for this query.

Response
application/json
{ "items": [ { … } ], "count": 0, "total": 0, "offset": 0 }

Asynchronous operation details

Request

Retrieve information about asynchronous operations within the reporting service. Provide the unique identifier of the operation in the parameter to monitor the progress of asynchronous tasks. This API returns the following attributes:

  • status—Indicates the current status of the asynchronous task.
  • createdAt—Specifies the timestamp when the operation was created.
  • updatedAt—Specifies the timestamp when the operation was last updated.
  • generation—The revision number of the operation, incremented on each update.
  • endedAt—Indicates the timestamp when the operation was completed.
  • logMessages—Provides a list of progress updates for the asynchronous operation.
  • progressPercent—Represents the progress of the operation as a percentage value ranging from 0 to 100.
  • sourceResourceUri—References the source URI that triggered the asynchronous task.
  • results—The results array provides a link to /reporting/v1/statuses/{id} to get the complete details of the report status.
Security
BearerAuth
Path
idstring(uuid)^[a-zA-Z0-9-]+$required

The unique identifier returned by an asynchronous API call.

Example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
curl -i -X GET \
  https://global.api.greenlake.hpe.com/reporting/v1/async-operations/3fa85f64-5717-4562-b3fc-2c963f66afa6 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Successful response

Bodyapplication/json
idstring(uuid)required

The primary identifier for the resource.

typestringrequired

The type of the resource.

statestringrequired

The state of the operation.

createdAtstring(date-time)required

The date and time the operation was created.

updatedAtstring(date-time)required

The date and time the operation was last updated.

generationintegerrequired

The revision number of the operation, incremented on each update.

endedAtstring or null(date-time)required

The date and time the operation completed. null while the operation has not yet reached the report-delivery stage.

logMessagesArray of objectsrequired

List of progress update objects. This array can be empty.

logMessages[].​timestampstring(date-time)

The date and time the log messag was created.

logMessages[].​messagestring

The log message describing the progress update.

progressPercentinteger(int64)required

Percent progress of the operation as an integer value of 0 to 100.

sourceResourceUristringrequired

The URI reference to the resource or resource collection that initiated the operation

resultsArray of objects

List of references to resources (other than the source resource) which were created, updated, or deleted during the operation.

errorobject
Response
application/json
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "string", "state": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "generation": 0, "endedAt": "2019-08-24T14:15:22Z", "logMessages": [ { … } ], "progressPercent": 0, "sourceResourceUri": "string", "results": [ { … } ], "error": { "message": "string", "timestamp": "2019-08-24T14:15:22Z", "debugId": "string" } }